%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXft runtime library
Name: 		libXft
Version: 	2.1.12
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXrender-devel
BuildRequires: 	freetype-devel >= 2.1.9-2
BuildRequires: 	fontconfig-devel >= 2.2-1

Requires: 	fontconfig >= 2.2-1

Obsoletes: 	xorg-libs

%description
X.Org X11 libXft runtime library

%package devel
Summary: 	X.Org X11 libXft development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

Requires: 	xorg-x11-proto-devel
Requires: 	libXrender-devel
Requires: 	fontconfig-devel >= 2.2-1
Requires: 	freetype-devel >= 2.1.9-2

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXft development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: There's no real good reason to ship these anymore, as pkg-config
# is the official way to detect flags, etc. now.
rm -f $RPM_BUILD_ROOT%{_bindir}/xft-config
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/xft-config*

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog NEWS
%{_libdir}/libXft.so.2
%{_libdir}/libXft.so.2.1.2

%files devel
%defattr(-,root,root,-)
#%{_bindir}/xft-config
%dir %{_includedir}/X11
%dir %{_includedir}/X11/Xft
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%if %{with_static}
%{_libdir}/libXft.a
%endif
%{_libdir}/libXft.so
%{_libdir}/pkgconfig/xft.pc
#%{_mandir}/man1/xft-config.1.gz
#%dir %{_mandir}/man3x
%{_mandir}/man3/Xft.3*

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.12-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.12-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 2.1.10-1
- Initial release
